package de.ivu.elect.presentation.wahlbeteiligung.action;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlauf;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.wahlbeteiligung.WahlbeteiligungVerlaufEditView;

@Named(WahlbeteiligungVerlaufDeleteAction.COMPONENT_NAME)
public class WahlbeteiligungVerlaufDeleteAction extends AbstractWahlbeteiligungVerlaufAction {

  public static final String COMPONENT_NAME = "wahlbeteiligungVerlaufDeleteAction";

  private static final long serialVersionUID = 1L;

  @View
  @Inject
  private WahlbeteiligungVerlaufEditView editView;

  public WahlbeteiligungVerlaufDeleteAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLBETEILIGUNG_VERLAUF_DELETE;
  }

  @Override
  protected String doIt(WahlbeteiligungVerlauf entity) {
    editView.setEntity(entity);

    return null;
  }

  @Override
  protected boolean isFireChangeEvent() {
    return true;
  }

  @Override
  public String getDialogName() {
    return "DeleteConfirm";
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.delete";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconDelete();
  }

}
